/*
 * File         : main.cpp
 * Author       : Tomasz Stachowiak
 * Created      : Wed May 20 20:29:15 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */


#include <bstring.h>

#include <BVN/Reactor.h>
#include <BVN/Acceptor.h>
#include <BVN/SOCK_Acceptor.h>
#include "BV_Svc_Handler.h"
#include "BV_Session_Control.h"

#define BV_PORT 5000

void main(void)
{
  int err = 0;
  BV_Session_Control *session_control = BV_Session_Control::instance();
  Reactor reactor;
  Acceptor <BV_Svc_Handler, SOCK_Acceptor> acceptor;
  struct sockaddr_in addr;

  bzero(&addr, sizeof(addr));
  addr.sin_family = AF_INET;
  addr.sin_addr.s_addr = htonl(INADDR_ANY);
  addr.sin_port = htons(BV_PORT);

  session_control->set_reactor(&reactor);

  acceptor.open(&addr, &reactor);
  
  session_control->invite("stach", "audix");

  while(err >= 0)
    err = reactor.handle_events(1000);

  session_control->destroy();
}
